Subject: Re: bash: forkee heap_init errors
From: [email-masked] ("Mikey")

23 Apr 1997 15:41:49 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "Jeff Oh" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

I don't know if this is your problem or not, but y.tab.h in the beta 17.1
source has a one off error, just copy the #defines for IF THEN ELSE etc...
from y.tab.c, or get the patch from : http://wwwdim.uqac.uquebec.ca/ftp/pub

bash-1.14.7_AND_AND_fix.dif

the bash in all.tar.gz dosen't seem to have this problem, but if you're
building from source to debug, you need to fix it anyway, or you will get
all kinds of strange errors ;^).

>Jeff Oh wrote
>I've just started playing with the bash shell, but can't seem to get
>beyond first base.  As I couldn't see a description of this problem
>in the mailing list archives or faq, I'm stumped.
>
>I'm running NT 4.0 service pack 2 and my bash shells are randomly
>core dumping every 5-100 commands or so.  When I try to configure
>bash so I could run it through the debugger, I get the following
>output (repeated twice) :
>
>-----
>c:\cygnus\H-i386-cygwin32\bin\sh.exe 1022) forkee heap_init: unable to
allocate
> heap, win32 error 487
>cygwin: terminating
>fork_helper: child died before initialization with win32 error 1
>-----
>
>When I look in my trusty win32 documents, error 487 is returned when
>an invalid handle is passed to the WNetGetLastError() function!  Error
>1 is ERROR_INCORRECT_FUNCTION. 
>
>There *is* plenty of free memory in the system.  I've read warnings
>about malloc() in the faq, but since I can't compile the version
>of bash that's dying, it can't be my malloc() function that's the
>problem.  Both sh.exe and bash.exe are in my path, and that path
>has been mounted with mount.
>
>Any information that you can provide would be greatly appreciated. 
>I will summarize, if necessary.
>
>Thanks,
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".